package com.ruoyi.generator.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.generator.domain.Community.CommunityTag;
import com.ruoyi.generator.service.ICommunityTagService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 文章标签
 *
 * @author fangzhen
 */
@Api(tags = "文章标签")
@RestController
@RequestMapping("/community/tag")
public class CommunityTagController extends BaseController {

    @Autowired
    private ICommunityTagService communityTagService;

    /**
     * 获取标签信息
     */
    @ApiOperation("获取标签信息")
    @GetMapping()
    @Transactional
    //@Anonymous
    public AjaxResult tags(String tagName) {
        Page<CommunityTag> page = new Page<>(1, 10);
        List<CommunityTag> communityTags = communityTagService.page(page, new QueryWrapper<CommunityTag>()
                .ne("is_delete", 1).or().isNull("is_delete")
                .like("tag_name", tagName)
                .orderByDesc("tag_hot")).getRecords();
        return AjaxResult.success(communityTags);
    }
}